Bug 1303308 - AttributeError: 'NoneType' object has no attribute 'get_child'
AttributeError: 'NoneType' object has no attribute 'get_child'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:dcc9aca07ebeafeaae410b58929...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-30 09:36 EST by adalsaady
Modified: 2016-12-20 13:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (2.42 MB, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: anaconda.log (380.39 KB, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: environ (537 bytes, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: journalctl (568.60 KB, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: lsblk_output (4.29 KB, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: nmcli_dev_list (2.52 KB, text/plain)
2016-01-30 09:37 EST, adalsaady
no flags Details
File: os_info (518 bytes, text/plain)
2016-01-30 09:38 EST, adalsaady
no flags Details
File: program.log (148.62 KB, text/plain)
2016-01-30 09:38 EST, adalsaady
no flags Details
File: storage.log (1.27 MB, text/plain)
2016-01-30 09:38 EST, adalsaady
no flags Details
File: ifcfg.log (4.64 KB, text/plain)
2016-01-30 09:38 EST, adalsaady
no flags Details

  None (edit)
Description adalsaady 2016-01-30 09:36:58 EST
Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 621, in _update_selectors
    page = self._accordion._find_by_title(translated_new_install_name()).get_child()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 702, in _update_size_props
    self._update_selectors()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 821, in _handle_size_change
    self._update_size_props()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 135, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1206, in _save_right_side
    self._handle_size_change(size, old_size, device)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2690, in on_update_settings_clicked
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/utils.py", line 269, in _run_once_one_arg
    self._func(*args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'get_child'

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb rd.live.check
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 adalsaady 2016-01-30 09:37:31 EST
Created attachment 1119634 [details]
File: anaconda-tb
Comment 2 adalsaady 2016-01-30 09:37:38 EST
Created attachment 1119635 [details]
File: anaconda.log
Comment 3 adalsaady 2016-01-30 09:37:40 EST
Created attachment 1119636 [details]
File: environ
Comment 4 adalsaady 2016-01-30 09:37:53 EST
Created attachment 1119637 [details]
File: journalctl
Comment 5 adalsaady 2016-01-30 09:37:56 EST
Created attachment 1119638 [details]
File: lsblk_output
Comment 6 adalsaady 2016-01-30 09:37:58 EST
Created attachment 1119639 [details]
File: nmcli_dev_list
Comment 7 adalsaady 2016-01-30 09:38:00 EST
Created attachment 1119640 [details]
File: os_info
Comment 8 adalsaady 2016-01-30 09:38:05 EST
Created attachment 1119641 [details]
File: program.log
Comment 9 adalsaady 2016-01-30 09:38:29 EST
Created attachment 1119642 [details]
File: storage.log
Comment 10 adalsaady 2016-01-30 09:38:32 EST
Created attachment 1119643 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-11-24 10:17:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 13:19:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.